Gemini Omni 1.1 일반
curl --request POST \
--url https://toapis.com/v1/videos \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"prompt": "<string>",
"duration": 123,
"resolution": "<string>",
"aspect_ratio": "<string>",
"image_urls": [
"<string>"
]
}
'import requests
url = "https://toapis.com/v1/videos"
payload = {
"model": "<string>",
"prompt": "<string>",
"duration": 123,
"resolution": "<string>",
"aspect_ratio": "<string>",
"image_urls": ["<string>"]
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
prompt: '<string>',
duration: 123,
resolution: '<string>',
aspect_ratio: '<string>',
image_urls: ['<string>']
})
};
fetch('https://toapis.com/v1/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "vid_example",
"object": "generation.task",
"model": "gemini-omni-1.1-flash-preview",
"status": "queued",
"created_at": 1789600000
}
Gemini Omni Flash
Gemini Omni 1.1 일반
일반 버전은 텍스트 및 이미지 기반 영상 생성, 10초 / 720p 고정. 참조 이미지는 최대 5개.
POST
/
v1
/
videos
Gemini Omni 1.1 일반
일반 버전은 텍스트 및 이미지 기반 영상 생성, 10초 / 720p 고정. 참조 이미지는 최대 5개.
VIP | Official 문서
플랫폼 API Key를 사용하세요. 중국 본토에서는 https://toapis.cn을 사용할 수 있습니다.
요청 매개변수
string
필수
Bearer YOUR_API_KEYstring
필수
gemini-omni-1.1-flash-previewstring
필수
필수 동영상 설명.
integer
기본값:"10"
일반은 10초 고정.
string
기본값:"720p"
720p
string
기본값:"16:9"
16:9 또는 9:16, 기본 16:9.
string[]
일반은 공개 이미지 URL 최대 5개.
로컬 미디어는 먼저 업로드하여 공개 URL을 얻습니다. base64나 로컬 경로를 보내지 마세요.
요청 예시
curl https://toapis.com/v1/videos \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"model": "gemini-omni-1.1-flash-preview",
"prompt": "A cinematic tracking shot through a sunlit city",
"duration": 10,
"resolution": "720p",
"aspect_ratio": "16:9",
"image_urls": ["https://example.com/image.png"]
}'
결과 조회
반환된 id는 플랫폼 작업 ID입니다. GET /v1/videos/로 완료 결과를 조회합니다. 공급업체 task_id나 조회 API는 사용하지 않습니다.curl https://toapis.com/v1/videos/YOUR_TASK_ID \
-H 'Authorization: Bearer YOUR_API_KEY'
{
"id": "vid_example",
"object": "generation.task",
"model": "gemini-omni-1.1-flash-preview",
"status": "queued",
"created_at": 1789600000
}